import { BaseStatusModel } from "src/core/modules/data/model/base-status.model";
import { TABLE_NAME } from "src/core/strings/constants/table.constants";
import { Column, Entity } from "typeorm";
import { UserPrivilegeEntity } from "../../domain/entities/user-privilege.entity";

@Entity(TABLE_NAME.USER_PRIVILEGE)
export class UserPrivilegeModel extends BaseStatusModel<UserPrivilegeEntity> implements UserPrivilegeEntity {
    @Column('varchar', { name: 'name', length: 125 })
    name: string;
}