import { Module } from '@nestjs/common';
import { AuthController } from './controllers/auth.controller';
import { UserDataService } from './data/user.dataservice';
import { AuthService } from './domain/services/auth.service';

@Module({
  providers: [AuthService, UserDataService],
  controllers: [AuthController],
})
export class AuthModule {}
